package fr.mcnanotech;

import net.minecraft.block.Block;
import net.minecraft.block.material.Material;
import net.minecraft.client.Minecraft;
import net.minecraft.client.renderer.ItemModelMesher;
import net.minecraft.client.resources.model.ModelResourceLocation;
import net.minecraft.item.Item;
import net.minecraft.item.ItemBlock;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.fml.common.Mod.EventHandler;
import net.minecraftforge.fml.common.event.FMLInitializationEvent;
import net.minecraftforge.fml.common.event.FMLPreInitializationEvent;
import net.minecraftforge.fml.common.registry.GameRegistry;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.relauncher.SideOnly;

@Mod(modid = CetteClassALaClasse.MODID, name = "Classe", version = "1.0.0", acceptedMinecraftVersions = "[1.8.0,)")
public class CetteClassALaClasse
{
    public static final String MODID = "classe";
    public static Block a;

    @EventHandler
    public void preLoad(FMLPreInitializationEvent event)
    {
        a = new BlockA(Material.rock).setUnlocalizedName("a");
        GameRegistry.registerBlock(a, ItemBlock.class, "a");
    }

    @EventHandler
    public void load(FMLInitializationEvent event)
    {
        if(event.getSide().isClient())
        {
            registerItem(Item.getItemFromBlock(a), 0, MODID + ":a");
        }
    }

    @SideOnly(Side.CLIENT)
    public static void registerItem(Item item, int metadata, String itemName)
    {
        ItemModelMesher mesher = Minecraft.getMinecraft().getRenderItem().getItemModelMesher();
        mesher.register(item, metadata, new ModelResourceLocation(itemName, "inventory"));
    }

    public static class BlockA extends Block
    {
        protected BlockA(Material materialIn)
        {
            super(materialIn);
            this.setResistance(3F);
            this.setHardness(4F);
        }
    }
}